/*
 * Project name:
     FreeRTOS Blank
 * Copyright:
     (c) Mikroelektronika, 2018.
 * Revision History:
     20180320:
       - Initial release;
 * Description:
     This is a blank project which includes all the files
     required for building an application that uses FreeRTOS,
     and can be used as a template for making your own FreeRTOS applications.
 * Test configuration:
     MCU:             P33EP512MU810
     Dev.Board:       EasyPIC Fusion v7
                      http://www.mikroe.com/easypic-fusion/
     Oscillator:      XT-PLL, 80.0000MHz
     Ext. Modules:    None
     SW:              mikroC PRO for dsPIC
                      http://www.mikroe.com/mikroc/dspic/
 */

// Includes

#include "main.h"

// Public Function Definitions

// Task 1 - An example task.
void task1(void *pvParameters)
{
    // Your code goes here...

    while (1)
    {
        // ...
    }
}

// Main function, which creates the tasks and starts the scheduler.
void main()
{
    // Setting output frequency to 80MHz
    PLLPRE_0_bit = 0;
    PLLPRE_1_bit = 0;
    PLLPRE_2_bit = 0;
    PLLPRE_3_bit = 0;
    PLLPRE_4_bit = 0;

    PLLFBD = 38;

    PLLPOST_0_bit = 0;
    PLLPOST_1_bit = 0;

    // Create task 1.
    xTaskCreate(
        (TaskFunction_t)task1,
        "Task 1",
        configMINIMAL_STACK_SIZE,
        NULL,
        1,
        NULL
    );

    // Start the RTOS scheduler.
    vTaskStartScheduler();

    // Will never reach here.
    while (1);
}